Skip to main content
POST
/
v1
/
knowledge-graph
/
etfs
Find by details
curl --request POST \
  --url https://api.bigdata.com/v1/knowledge-graph/etfs \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "query": "Gold",
  "countries": [
    "US"
  ]
}
'
import requests

url = "https://api.bigdata.com/v1/knowledge-graph/etfs"

payload = {
"query": "Gold",
"countries": ["US"]
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({query: 'Gold', countries: ['US']})
};

fetch('https://api.bigdata.com/v1/knowledge-graph/etfs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": "36CEB2",
    "name": "Grayscale Bitcoin Trust ETF",
    "country": "US",
    "ticker": "GBTC",
    "description": "Grayscale Bitcoin Trust ETF, formerly Grayscale Bitcoin Trust (BTC), is an open-ended trust that is invested exclusively in bitcoin. The trust was founded on September 13, 2013.",
    "sector": "Financials",
    "industry_group": "Nonequity Investment Instruments",
    "industry": "Nonequity Investment Instruments",
    "webpage": "http://grayscale.com/products/grayscale-bitcoin-trust/",
    "favicon": "https://www.globalxetfs.com.au/favicon.ico",
    "isin_values": [
      "US3896371099"
    ],
    "cusip_values": [
      "389637109"
    ],
    "sedol_values": [
      "6605528"
    ],
    "listing_values": [
      "OTCM:GBTC"
    ]
  }
]

Authorizations

X-API-KEY
string
header
required

Body

application/json

Request body for finding ETFs. Each field is optional. However, you must provide at least one field to perform a valid search.

query
string

Text query to search for ETFs by name, ticker, or description. Examples: 'Gold', 'SPDR', 'Vanguard'

Example:

"Gold"

countries
string[]

Country codes using the ISO 3166-1 A-2 format (e.g., 'US' for United States, 'FR' for France, 'GB' for Great Britain)

Pattern: ^[A-Z]{2}$
Example:
["US"]

Response

200 - application/json

Successful response with ETF data

id
string
required

Unique ETF identifier in the Knowledge Graph

Example:

"36CEB2"

name
string
required

ETF name

Example:

"Grayscale Bitcoin Trust ETF"

country
string
required

Country code (ISO 3166-1 alpha-2)

Pattern: ^[A-Z]{2}$
Example:

"US"

ticker
string
required

Primary ticker symbol

Example:

"GBTC"

description
string

ETF description and overview

Example:

"Grayscale Bitcoin Trust ETF, formerly Grayscale Bitcoin Trust (BTC), is an open-ended trust that is invested exclusively in bitcoin. The trust was founded on September 13, 2013."

sector
string

ETF sector classification

Example:

"Financials"

industry_group
string

Industry group classification

Example:

"Nonequity Investment Instruments"

industry
string

Specific industry classification

Example:

"Nonequity Investment Instruments"

webpage
string<uri>

ETF website URL

Example:

"http://grayscale.com/products/grayscale-bitcoin-trust/"

favicon
string<uri>

ETF favicon URL

Example:

"https://www.globalxetfs.com.au/favicon.ico"

isin_values
string[]

International Securities Identification Numbers

Example:
["US3896371099"]
cusip_values
string[]

Committee on Uniform Securities Identification Procedures numbers

Example:
["389637109"]
sedol_values
string[]

Stock Exchange Daily Official List numbers

Example:
["6605528"]
listing_values
string[]

Exchange listing identifiers

Example:
["OTCM:GBTC"]